FailureRunView
Keywords: junit.swingui.FailureRunView class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## junit.swingui
Class FailureRunView

    java.lang.Object
      junit.swingui.FailureRunView

    public class FailureRunView

extends java.lang.Object

A view presenting the test failures as a list.

Constructor Summary
`FailureRunView(TestRunContext context)`

Method Summary
`void` | `aboutToStart(Test suite, TestResult result)` Informs that the suite is about to start
`void` | `activate()` Activates the TestRunView
`void` | `addTab(javax.swing.JTabbedPane pane)` Adds the TestRunView to the test run views tab
`Test` | `getSelectedTest()` Returns the currently selected Test in the View
`void` | `revealFailure(Test failure)` Reveals the given failure
`void` | `runFinished(Test suite, TestResult result)` Informs that the run of the test suite has finished
`protected void` | `testSelected()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FailureRunView

    public FailureRunView(TestRunContext context)

Method Detail

### getSelectedTest

    public Test getSelectedTest()

  Returns the currently selected Test in the View

### activate

    public void activate()

  Activates the TestRunView

### addTab

    public void addTab(javax.swing.JTabbedPane pane)

  Adds the TestRunView to the test run views tab

### revealFailure

    public void revealFailure(Test failure)

  Reveals the given failure

### aboutToStart

    public void aboutToStart(Test suite,
                             TestResult result)

  Informs that the suite is about to start

### runFinished

    public void runFinished(Test suite,
                            TestResult result)

  Informs that the run of the test suite has finished

### testSelected

    protected void testSelected()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD